# My dotfiles

[![dotfiles.sh](https://img.shields.io/badge/manager-dotfiles.sh-green.svg)](https://github.com/eli-schwartz/dotfiles.sh "Dotfiles made easy")
[![LICENSE](https://img.shields.io/badge/license-MIT--0-blue.svg)](LICENSE "MIT No Attribution")

## [Arch](https://www.archlinux.org/)

* [.local/arch/init.sh](.local/arch/init.sh): initial setup script
* [.local/arch/packages.repo.txt](.local/arch/packages.repo.txt): repo package list
* [.local/arch/packages.aur.txt](.local/arch/packages.aur.txt): AUR package list

## [Aria2](https://aria2.github.io/)

* [.config/aria2/aria2.conf](.config/aria2/aria2.conf): configuration file
* [.config/aria2/notif.sh](.config/aria2/notif.sh): `on-bt-download-complete` hook

## [Bash](https://www.gnu.org/software/bash/)

* [.bash_profile](.bash_profile): login shell configuration file
* [.local/share/bash/aliases.sh](.local/share/bash/aliases.sh): contains various aliases
* [.local/share/bash/bashrc.sh](.local/share/bash/bashrc.sh): interactive shell configuration file
* [.local/share/bash/functions.sh](.local/share/bash/functions.sh): contains various functions

# [bottom](https://clementtsang.github.io/bottom/)

* [.config/bottom/bottom.toml](.config/bottom/bottom.toml): configuration file

## [Ccache](https://github.com/ccache/ccache)

* [.config/ccache.cfg](.config/ccache.cfg): configuration file

## [Coreutils](https://www.gnu.org/software/coreutils/)

* [.config/dircolors](.config/dircolors): configuration file for `dircolors`

## [Fontconfig](https://www.freedesktop.org/wiki/Software/fontconfig/)

* [.config/fontconfig/fonts.conf](.config/fontconfig/fonts.conf): configuration file

## [Git](https://git-scm.com/)

* [.config/git/config](.config/git/config): configuration file

## [GnuPG](https://gnupg.org/)

* [.local/share/gnupgp/gpg.conf](.local/share/gnupg/gpg.conf): configuration file

## [KDE Plasma](https://kde.org/plasma-desktop)

* [.config/plasma-localerc](.config/plasma-localerc): locale settings

## [Konsole](https://konsole.kde.org/)

* [.local/share/konsole/Default.profile](.local/share/konsole/Default.profile): default profile
* [.local/share/konsole/NvimTerm.profile](.local/share/konsole/NvimTerm.profile): `nvim +term` profile
* [.local/share/konsole/Gruvbox8.colorscheme](.local/share/konsole/Gruvbox8.colorscheme): `Gruvbox8` colorscheme

## [Mpv](https://mpv.io/)

* [.config/mpv/input.conf](.config/mpv/input.conf): keybindings
* [.config/mpv/mpv.conf](.config/mpv/mpv.conf): configuration file

## [Neofetch](https://github.com/dylanaraps/neofetch)

* [.config/neofetch/config.conf](.config/neofetch/config.conf): configuration file

## [Neovim](https://neovim.io/)

> [In another repo](https://github.com/ObserverOfTime/dotnvim)

## [Newsboat](https://newsboat.org/)

* [.config/newsboat/config](.config/newsboat/config): configuration file
* [.config/newsboat/notif.sh](.config/newsboat/notif.sh): notification wrapper

## [Nvimpager](https://github.com/lucc/nvimpager)

* [.config/nvimpager/init.vim](.config/nvimpager/init.vim): configuration file

## [Pip](https://pip.pypa.io/en/stable/)

* [.config/pip/pip.conf](.config/pip/pip.conf): configuration file

## [Poetry](https://python-poetry.org/)

* [.config/pypoetry/config.toml](.config/pypoetry/config.toml): configuration file

## [Python](https://www.python.org/)

* [.config/pythonrc.py](.config/pythonrc.py): startup file

## [Qutebrowser](https://www.qutebrowser.org/)

* [.config/qutebrowser/config.py](.config/qutebrowser/config.py): configuration file

## [Readline](https://tiswww.case.edu/php/chet/readline/rltop.html)

* [.config/inputrc](.config/inputrc): configuration file

## [Vifm](https://vifm.info/)

* [.config/vifm/vifmrc](.config/vifm/vifmrc): configuration file

## [X.Org](https://www.x.org/wiki/)

> [In a Gist](https://gist.github.com/ObserverOfTime/e60c54f4fef4aa02b137b7c96552299a)

## [Yay](https://github.com/Jguer/yay)

* [.config/yay/config.json](.config/yay/config.json): configuration file

## [yt-dlp](https://github.com/yt-dlp/yt-dlp)

* [.config/yt-dlp/config](.config/yt-dlp/config): configuration file
